using System;
using System.Collections;
using Server;
using Server.Misc;
using Server.Items;
using Server.Spells;

namespace Server.Mobiles
{
	[CorpseName( "a amazonian corpse" )]
	public class AmazonMage : BaseCreature
	{
		[Constructable]
		public AmazonMage() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			
                        Name = NameList.RandomName( "female" );
				Body = 401;
                        Title = "An Amazonian Mage";
                        Hue = 1009;
			BaseSoundID = 333;



			SetStr( 600, 700 );
			SetDex( 100, 200 );
			SetInt( 200, 300 );

                        SetHits( 500, 700 );

			SetDamage( 30, 60 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 30, 40 );
			SetResistance( ResistanceType.Fire, 20, 30 );
			SetResistance( ResistanceType.Cold, 20, 30 );
			SetResistance( ResistanceType.Poison, 20, 30 );
			SetResistance( ResistanceType.Energy, 40, 50 );

			SetSkill( SkillName.EvalInt, 120.0, 150.0 );
			SetSkill( SkillName.Fencing, 120.0, 150.0 );
			SetSkill( SkillName.Macing, 120.0, 150.0 );
			SetSkill( SkillName.Magery, 120.0, 150.0 );
			SetSkill( SkillName.Meditation, 120.0, 150.0 );
			SetSkill( SkillName.MagicResist, 120.0, 150.0 );
			SetSkill( SkillName.Swords, 120.0, 150.0 );
			SetSkill( SkillName.Tactics, 120.0, 150.0 );
			SetSkill( SkillName.Wrestling, 120.0, 150.0 );

			Fame = 1000;
			Karma = -1000;

			PackGold( 2000, 3000 );
			//AddItem( new Tokens( 1000, 1500 ) );
			PackReg( 10, 15 );
			PackItem( new Bandage( Utility.RandomMinMax( 15, 25 ) ) );
                        PackMagicItems( 2, 4 );
                        
			
			AddItem( new BlackStaff() );
			AddItem( new Robe( 1289 ) );
			AddItem( new WizardsHat( 1289 ) );
                        AddItem( new LongHair( 23 ) );
                        AddItem( new ThighBoots( 1289 ) );
		}

		public override int Meat{ get{ return 1; } }
		public override bool AlwaysMurderer{ get{ return true; } }
                public override bool ShowFameTitle{ get{ return false; } }

		
		public AmazonMage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}