using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a corpse of an Amazonian Slave" )]
	public class AmazonianSlave : BaseCreature
	{
		[Constructable]
		public AmazonianSlave() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
		{
			Name = NameList.RandomName( "male" );
			Body = 400; 
			Hue = 1009;
                        Title = "An Amazonian Slave";

			
		    	SetStr( 400, 600 );
			SetDex( 200, 300 );
			SetInt( 51, 65 );

                        SetHits( 400, 600 );

			SetDamage( 15, 25 );

			SetDamageType( ResistanceType.Physical, 100 );
			

			SetResistance( ResistanceType.Physical, 60 );
			SetResistance( ResistanceType.Fire, 60 );
			SetResistance( ResistanceType.Cold, 60 );
			SetResistance( ResistanceType.Poison, 60 );
			SetResistance( ResistanceType.Energy, 60 );

						

			Fame = 1000;
			Karma = -1000;

			VirtualArmor = 60;

			
			new Nightmare().Rider = this;

			AddItem( new LongPants( 2646 ) );
			AddItem( new FancyShirt( 2646 ) );
			AddItem( new Boots( 2646 ) );
			AddItem( new SkullCap( 2646 ) );
                        AddItem( new LongHair( 1153 ) );

			Bow bow = new Bow();

			bow.Movable = false;
			bow.Crafter = this;
			bow.Quality = WeaponQuality.Exceptional;

			AddItem( bow );

			Container pack = new Backpack();

			pack.DropItem( new Arrow( Utility.RandomMinMax( 100, 125 ) ) );
			pack.DropItem( new Arrow( Utility.RandomMinMax( 100, 150 ) ) );
			pack.DropItem( new Bandage( Utility.RandomMinMax( 15, 25 ) ) );
			pack.DropItem( new Bandage( Utility.RandomMinMax( 5, 15 ) ) );
			pack.DropItem( Loot.RandomGem() );
			
			PackItem( pack );

			PackGold( 2000, 3000 );
                        //AddItem( new Tokens( 1000, 1500 ) );
			PackMagicItems( 1, 5 );

			Skills[SkillName.Anatomy].Base = 120.0;
			Skills[SkillName.Tactics].Base = 120.0;
			Skills[SkillName.Archery].Base = 120.0;
			Skills[SkillName.MagicResist].Base = 120.0;
			Skills[SkillName.DetectHidden].Base = 100.0;

			
		}

                public override bool AlwaysMurderer{ get{ return true; } }

		public override bool OnBeforeDeath()
		{
			IMount mount = this.Mount;

			if ( mount != null )
				mount.Rider = null;

			if ( mount is Mobile )
				((Mobile)mount).Delete();

			return base.OnBeforeDeath();
		}

		public AmazonianSlave( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
