using System;
using Server;
using Server.Misc;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a amazonian corpse" )]
	public class AmazonRider : BaseCreature
	{
		[Constructable]
		public AmazonRider() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.15, 0.4 )
		{
			
                        Name = NameList.RandomName( "female" );
				Body = 401;
                        Title = "An Amazonian Rider";
                        Hue = 1009;
 			BaseSoundID = 333;


			SetStr( 600, 700 );
			SetDex( 200, 300 );
			SetInt( 51, 65 );

                        SetHits( 500, 700 );

			SetDamage( 29, 34 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetSkill( SkillName.Fencing, 100.0, 120.0 );
			SetSkill( SkillName.Healing, 100.0, 120.0 );
			SetSkill( SkillName.Macing, 100.0, 120.0 );
			SetSkill( SkillName.Poisoning, 100.0, 120.0 );
			SetSkill( SkillName.MagicResist, 100.0, 120.0 );
			SetSkill( SkillName.Swords, 100.0, 120.0 );
			SetSkill( SkillName.Tactics, 100.0, 120.0 );

			Fame = 1000;
			Karma = -1000;

                        VirtualArmor = 70;

			PackGold( 2000, 4000 );
			//AddItem( new Tokens( 1000, 1500 ) );
			PackItem( new Bandage( Utility.RandomMinMax( 15, 25 ) ) );
                        PackMagicItems( 2, 4 );
                        
						
			AddItem( new Spear() );
                        AddItem( new FlowerGarland( 29 ) );
			AddItem( new PlainDress( 29 ) );
			AddItem( new LongHair( 22 ) );
                        AddItem( new ThighBoots( 29 ) );
			
			new Nightmare().Rider = this;
		}

		public override int Meat{ get{ return 1; } }
		public override bool AlwaysMurderer{ get{ return true; } }
                public override bool ShowFameTitle{ get{ return false; } }

		
                public override bool OnBeforeDeath()
		{
			IMount mount = this.Mount;

			if ( mount != null )
				mount.Rider = null;

			if ( mount is Mobile )
				((Mobile)mount).Delete();

			return base.OnBeforeDeath();
		}

		public AmazonRider( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}