using System;
using Server;
using Server.Misc;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "the corpse of diana prince" )]
	public class DianaPrince : BaseCreature
	{

             private bool m_TrueForm;


		[Constructable]
		public DianaPrince() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			
                        Name = "Diana Prince";
                        Body = 401;
                        Hue = 1009;
			BaseSoundID = 333;



			SetStr( 600, 700 );
			SetDex( 200, 300 );
			SetInt( 51, 65 );

                        SetHits( 500, 700 );

			SetDamage( 30, 50 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetSkill( SkillName.Fencing, 100.0, 120.0 );
			SetSkill( SkillName.Macing, 100.0, 120.0 );
			SetSkill( SkillName.Poisoning, 100.0, 120.0 );
			SetSkill( SkillName.MagicResist, 100.0, 120.0 );
			SetSkill( SkillName.Swords, 100.0, 120.0 );
			SetSkill( SkillName.Tactics, 100.0, 120.0 );

			Fame = 1000;
			Karma = -1000;

                        VirtualArmor = 60;

			PackGold( 1500, 3000 );
			PackItem( new Bandage( Utility.RandomMinMax( 15, 25 ) ) );
                        PackMagicItems( 2, 4 );
			
			AddItem( new Skirt( 37 ) );
			AddItem( new FancyShirt( 4 ) );
                        AddItem( new LongHair( 1 ) );
                        AddItem( new Boots( 1153 ) );
                        AddItem( new Katana() );
                        AddItem( new FlowerGarland( 1153 ) );
                        

					}

	public override bool OnBeforeDeath() 
      { 
        
	WonderWoman rm = new WonderWoman(); 
        rm.Map = this.Map; 
        rm.Location = this.Location; 
        PlaySound( 0x29); 
        PlaySound( 0x207); 
	rm.BoltEffect(18); 
          
        this.Delete(); 
        return false; 
      
      } 

		public override int Meat{ get{ return 1; } }
		public override bool AlwaysMurderer{ get{ return true; } }
                public override Poison HitPoison{ get{ return Poison.Deadly; } }
		public override bool ShowFameTitle{ get{ return false; } }
			
                
      		      		
		public DianaPrince( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}