using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "Super Woman" )]
	public class Superwoman : BaseCreature
	{
		[Constructable]
		public Superwoman() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "Super Woman";
			
		        Body = 401;
                        Hue = 2797;
			
			
			BaseSoundID = 333;


			SetStr( 1000 );
			SetDex( 500);
			SetInt( 1000 );

			SetHits( 5000);

			SetDamage( 15, 20 );

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Cold, 50 );

			SetResistance( ResistanceType.Physical, 60 );
			SetResistance( ResistanceType.Fire, 60 );
			SetResistance( ResistanceType.Cold, 60 );
			SetResistance( ResistanceType.Poison, 60 );
			SetResistance( ResistanceType.Energy, 60 );

			SetSkill( SkillName.EvalInt, 170.0 );
			SetSkill( SkillName.Magery, 170.0 );
			SetSkill( SkillName.Meditation, 170.0 );
			SetSkill( SkillName.MagicResist, 120.0 );
			SetSkill( SkillName.Tactics, 170.0 );
			SetSkill( SkillName.Wrestling, 170.0 );

       		       Unicorn mare = new Unicorn();
        	       mare.Hue = 1153;
        	       mare.Rider = this;


			Fame = 0;
			Karma = -20000;

			VirtualArmor = 10;

      		


        		AddItem( new Cloak( 1157 ) ); 
         		AddItem( new Sandals( 1 ) );                        
			AddItem( new LongHair( 1 ) );
                        AddItem( new FancyShirt(1150) );
                        AddItem( new ShortPants(4) );
                        
                        
		 
			PackGem();
			PackGold( 4700, 6950 );
		switch ( Utility.Random( 100 ) ) //Rarity 10 
                        { 
                          case 0: PackItem( new TheTaskmaster( ) ); 
                          break; 
                          case 1: PackItem( new ZyronicClaw( ) ); 
                          break; 
                          case 2: PackItem( new BladeOfTheRighteous( ) ); 
                          break; 
                          case 3: PackItem( new TitansHammer( ) ); 
                          break; 
                          case 4: PackItem( new InquisitorsResolution( ) ); 
                          break; 
                        } 

                         switch ( Utility.Random( 100) ) //Rarity 11 
                        { 
                          case 0: PackItem( new AxeOfTheHeavens( ) ); 
                          break; 
                          case 1: PackItem( new BladeOfInsanity( ) ); 
                          break; 
                          case 2: PackItem( new BoneCrusher( ) ); 
                          break; 
                          case 3: PackItem( new BreathOfTheDead( ) ); 
                          break; 
                          case 4: PackItem( new Frostbringer( ) ); 
                          break; 
                          case 5: PackItem( new LegacyOfTheDreadLord( ) ); 
                          break; 
                          case 6: PackItem( new SerpentsFang( ) ); 
                          break; 
                          case 7: PackItem( new StaffOfTheMagi( ) ); 
                          break; 
                          case 8: PackItem( new TheBeserkersMaul( ) ); 
                          break; 
                          case 9: PackItem( new TheDragonSlayer( ) ); 
                          break; 
                          case 10: PackItem( new ArmorOfFortune( ) ); 
                          break; 
                          case 11: PackItem( new OrnateCrownOfTheHarrower( ) ); 
                          break; 
                          case 12: PackItem( new MidnightBracers( ) ); 
                          break; 
                          case 13: PackItem( new LeggingsOfBane( ) ); 
                          break; 
                          case 14: PackItem( new JackalsCollar( ) ); 
                          break; 
                          case 15: PackItem( new HuntersHeaddress( ) ); 
                          break; 
                          case 16: PackItem( new HolyKnightsBreastplate( ) ); 
                          break; 
                          case 17: PackItem( new HelmOfInsight( ) ); 
                          break; 
                          case 18: PackItem( new HatOfTheMagi( ) ); 
                          break; 
                          case 19: PackItem( new GauntletsOfNobility( ) ); 
                          break; 
                          case 20: PackItem( new DivineCountenance( ) ); 
                          break; 
                          case 21: PackItem( new VoiceOfTheFallenKing( ) ); 
                          break; 
                          case 22: PackItem( new TunicOfFire( ) ); 
                          break; 
                          case 23: PackItem( new SpiritOfTheTotem( ) ); 
                          break; 
                          case 24: PackItem( new BraceletOfHealth( ) ); 
                          break; 
                          case 25: PackItem( new OrnamentOfTheMagician( ) ); 
                          break; 
                          case 26: PackItem( new RingOfTheElements( ) ); 
                          break; 
                          case 27: PackItem( new RingOfTheVile( ) ); 
                          break;  
                        } 
                 } 



		public override bool Unprovokable{ get{ return true; } }
		public override bool AlwaysMurderer{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override int TreasureMapLevel{ get{ return 1; } 
               }

                 public override bool OnBeforeDeath()
		{
			IMount mount = this.Mount;

			if ( mount != null )
				mount.Rider = null;

			if ( mount is Mobile )
				((Mobile)mount).Delete();

			return base.OnBeforeDeath();
		}

		public Superwoman( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}